> ## Documentation Index
> Fetch the complete documentation index at: https://bitiful-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# S4 对象存储 API

> 介绍缤纷云 S4 的 API。

## 获取控制台 API Token

前往控制台获取：[https://console.bitiful.com/apiToken](https://console.bitiful.com/apiToken)

## 容量、文件数

暂无任何参数

```shell theme={null}
curl -H "Authorization: {API Token from: https://console.bitiful.com/apiToken}" "https://api.bitiful.com/s4/data/{bucket-name}/usage"
```

## S4 实时日志

仅支持 3 天内日志

<Tip>
  **参数说明**

  **start\_time**   起始时间，timestamp，纳秒，用作分页，例如：1723046499000000000

  **codes**        过滤 httpcode，2XX / 3XX / 4XX / 5XX / ALL 选其一，默认为 ALL

  **limit**        一次性返回条数，最大值 1000
</Tip>

```shell theme={null}
curl --get -H "Authorization: {API Token from: https://console.bitiful.com/apiToken}" "https://api.bitiful.com/s4/data/{bucket-name}/logs?start_time={start_time}&codes={codes}&limit={limit}"
```
